#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const tslib_1 = require("tslib");
const logging_1 = require("../../utils/logging");
const fs_1 = require("fs");
const publishOutfile_1 = require("../commons/publishOutfile");
exports.logger = logging_1.getLogger();
function process() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const conent = fs_1.readFileSync('.cached_outfiles', { encoding: "utf-8" });
        const cache = JSON.parse(conent);
        exports.logger.info("publish start...");
        // 关联配置端到输出文件
        publishOutfile_1.publishOutfile(cache.outfile, cache.cacheFile);
        exports.logger.info("publish end ...");
    });
}
process();
