const shell = require("shelljs")

// 环境检查
const mustEnv = ["tslint", "tsc"]

mustEnv.forEach(cmd => {
    if (!shell.which(cmd)) {
        shell.echo('Sorry, this script requires ' + cmd);
        shell.exit(1);
    }
})

shell.rm("-rf", ["./bin/*"])

let result = shell.exec("tslint --project .  --fix")
if (result.code != 0) {
    shell.exit(1);
}

result = shell.exec("tsc")
if (result.code != 0) {
    shell.exit(1);
}

shell.chmod("+x", "bin/*.js")