import { parse } from "yaml"
import { readFileSync } from "fs"
import { resolve } from "path"

/**
 * 读取并解析 yaml文件
 * @param pth 文件相对于项目根路径
 * @returns
 */
export function loadYaml(pth: string) {
  const filePath = resolve(__dirname, "../..", pth)
  const content = readFileSync(filePath).toString()
  return parse(content)
}